/* 
 * NibblerDX for the Amstrad CPC
 * Copyright (C) 2024 Dave Moore
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; If not, see <http://www.gnu.org/licenses/>.
 */

#pragma once

#include <main.h>

/* 
 * Images generated by CPC Telera with image_conversation.mk macros; each image
 * is (bytes) x 4 pixels wide
 */
#define IMAGE_LOGO_0_W 39
#define IMAGE_LOGO_0_H 76
#define IMAGE_LOGO_1_W 39
#define IMAGE_LOGO_1_H 76
#define IMAGE_LOGO_2_W 16
#define IMAGE_LOGO_2_H 56
extern const u8 image_logo_0[39 * 76];
extern const u8 image_logo_1[39 * 76];
extern const u8 image_logo_2[2 * 16 * 56];

/*
 * Sprites generated by CPC Telera with image_conversation.mk macros; each 
 * sprite is 8x8 pixels, which in Mode 1 is 2x8 bytes
 */
extern const u8 sprite_00[2 * 8];
extern const u8 sprite_01[2 * 8];
extern const u8 sprite_02[2 * 8];
extern const u8 sprite_03[2 * 8];
extern const u8 sprite_04[2 * 8];
extern const u8 sprite_05[2 * 8];
extern const u8 sprite_06[2 * 8];
extern const u8 sprite_07[2 * 8];
extern const u8 sprite_08[2 * 8];
extern const u8 sprite_09[2 * 8];
extern const u8 sprite_10[2 * 8];
extern const u8 sprite_11[2 * 8];
extern const u8 sprite_12[2 * 8];
extern const u8 sprite_13[2 * 8];
extern const u8 sprite_14[2 * 8];
extern const u8 sprite_15[2 * 8];
extern const u8 sprite_16[2 * 8];
extern const u8 sprite_17[2 * 8];
extern const u8 sprite_18[2 * 8];
extern const u8 sprite_19[2 * 8];
extern const u8 sprite_20[2 * 8];
extern const u8 sprite_21[2 * 8];
extern const u8 sprite_22[2 * 8];
extern const u8 sprite_23[2 * 8];
extern const u8 sprite_24[2 * 8];
extern const u8 sprite_25[2 * 8];
extern const u8 sprite_26[2 * 8];
extern const u8 sprite_27[2 * 8];
extern const u8 sprite_28[2 * 8];
extern const u8 sprite_29[2 * 8];
extern const u8 sprite_30[2 * 8];
extern const u8 sprite_31[2 * 8];
extern const u8 sprite_32[2 * 8];
extern const u8 sprite_33[2 * 8];
extern const u8 sprite_34[2 * 8];
extern const u8 sprite_35[2 * 8];
extern const u8 sprite_36[2 * 8];
extern const u8 sprite_37[2 * 8];
extern const u8 sprite_38[2 * 8];
extern const u8 sprite_39[2 * 8];
extern const u8 sprite_40[2 * 8];
extern const u8 sprite_41[2 * 8];
extern const u8 sprite_42[2 * 8];
extern const u8 sprite_43[2 * 8];
extern const u8 sprite_44[2 * 8];
extern const u8 sprite_45[2 * 8];
extern const u8 sprite_46[2 * 8];
extern const u8 sprite_47[2 * 8];
extern const u8 sprite_48[2 * 8];
extern const u8 sprite_49[2 * 8];

extern u8* const sprite_ts[50];		/* Sprite Table */

#define BLANK_SPRITE 49;		/* Fixed Index of blank sprite */

