/*
 * NibblerDX for the Amstrad CPC
 * Copyright (C) 2024 Dave Moore
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; If not, see <http://www.gnu.org/licenses/>.
 */

#include "strings.h"

/* Game Strings */
const char *const g_strings[] = {
	/* Demo Screen 0-9 */
	"A REMAKE BY", "DAVE MOORE (c) 2024", "    ORIGINAL BY    ",
	"  CHRISTOPH VON RHEIN & ROMAN MAJER  ", " (C) MOSAIK SOFTWARE 1984 ",
	"BASED ON NIBBLER BY", "JOSEPH H. ULOWETZ & JOHN M. JAUGILAS ",
	"(C) ROCK-OLA MFG CORP 1982", "V0.8: 20/12/2023", "",
	/* Title Screen 10-29 */
	"1.", "2.", "3.", "4.", "9.", "0.", "DIFFICULTY", "SET CONTROLS",
	"MUSIC/SFX ON/OFF", "SHOW INSTRUCTONS", "PLAY GAME", "QUIT",
	"TODAY'S HISCORES", "..........", "0000000000", "", "", "", "", "",
	/* Transition Screens 30-39 */
	"ROUND", "LEVEL", "GET READY!", "GAME OVER!", "CONGRATULATIONS!",
	"YOU HAVE COMPLETED THE DEMO VERSION", "OF NIBBLER DX!",
	"FULL VERSION COMING LATER IN 2024!", "", "",
	/* HiScore Screen 40-49 */
	"CONGRATULATIONS!", "YOU HAVE ACHIEVED A HIGH SCORE!",
	"ENTER YOUR INITIALS:", "***", "", "", "", "", "", "",
	/* Game HUD 50-59 */
	"0000000000", "SCORE:", "HIGH:", "LIVES:", "ROUND:", "LEVEL:", "GEMS", 
	" ", "", "",
	/* Instructions 60-79 */
	"YOU ARE NIBBLER! YOU ARE HUNGRY!", "MAKE YOUR WAY AROUND THE MAZE,",
	"EATING ALL THE GEMS!", "  ", "  ", "  ",
	"BUT YOU WILL GROW EVERY TIME YOU",
	"EAT A GEM! NOM-NOM-NOM! TRY NOT TO", "EAT YOUR OWN TAIL, AS YOU DON'T",
	"TASTE VERY NICE!", "  ", "EAT ALL THE GEMS IN A MAZE AND",
	"YOU CAN GO TO THE NEXT ONE!", "  ", "THERE ARE TEN MAZES IN TOTAL!",
	"  ", "TRY HARD MODE FOR EXTRA-HIGH",
	"SCORES IF YOU DARE!", "  ", "  ",
	/* Controls 80 - 89 */
	"IN-GAME CONTROLS:", "CHANGE DIRECTION", "CURSOR KEYS/JOYSTICK",
	"PAUSE/UNPAUSE", "P", "QUIT TO MAIN MENU", "Q",
	"GITHUB.COM/DAVEMOORE22/CPCNIBDX", "DAVEMOORE22@PROTONMAIL.COM",
	"WRITTEN WITH CPCTELERA/SDCC"};
